#jinja2:lstrip_blocks: True
#!/bin/bash
export HCLOUD_TOKEN='{{ hcloud_token }}'

ME=`hcloud server describe $(hostname) | head -n 1 | sed 's/[^0-9]*//g'`

HTTP_IP_CURRENT_SERVER_ID=`hcloud floating-ip describe {{ floating_ips_result.hcloud_floating_ip_info[0].id }} | grep 'Server:' -A 1 | tail -n 1 | sed 's/[^0-9]*//g'`

if [ "$HTTP_IP_CURRENT_SERVER_ID" != "$ME" ] ; then
  n=0
  while [ $n -lt 5 ]
  do
    hcloud floating-ip unassign {{ floating_ips_result.hcloud_floating_ip_info[0].id }}
    hcloud floating-ip assign {{ floating_ips_result.hcloud_floating_ip_info[0].id }} $ME && break
    n=$((n+1))
    sleep 3
  done
fi

{% if groups['workers'] is defined and ansible_hostname in groups['workers'] %}
keepalived_dir="$(dirname "$0")"
$keepalived_dir/apply-floating-ip.sh
{% endif %}
